# Retrieve Task Status

## 1. Overview

After obtaining the video `task_id` field from the [Create Video Generation Task](/api/compute/aig/video-generation/vidu/create-video.md) API, copy it to this API to query the task status. Once the task is complete, a URI field is returned, which can be used to download the generated video.

**Model List:**

* `viduq3-pro`
* `viduq3-pro-fast`
* `viduq3-turbo`
* `viduq3-mix`
* `viduq3`
* `viduq2-pro`
* `viduq2-pro-fast`
* `viduq2`
* `vidu2.0`
* `viduq1`
* `viduq1-classic`

## 2. Request Description

* **Request Method**:`GET`
* **Request URL**:

  > `https://gateway.theturbo.ai/v1/vidu/tasks/{task_id}/creations`

***

## 3. Request Parameters

### 3.1 Header Parameters

| Parameter Name  | Type   | Required | Description                                                         | Example                |
| --------------- | ------ | -------- | ------------------------------------------------------------------- | ---------------------- |
| `Authorization` | string | Yes      | API\_KEY required for authentication, format `Bearer $YOUR_API_KEY` | `Bearer $YOUR_API_KEY` |

***

## 4. Request Examples

```sh
curl https://gateway.theturbo.ai/v1/vidu/tasks/340107923624096384/creations
-H "Authorization: Bearer $YOUR_API_KEY"
```

## 5. Response Example

```json
{
  "state": "success",
  "err_code": "",
  "creations": [
    {
      "id": "940108381828435968",
      "url": "https://******.mp4",
      "cover_url": "https://******.cover.jpeg",
      "watermarked_url": "",
      "moderation_url": [],
      "video": {
        "duration": 0,
        "fps": 0,
        "resolution": null
      },
      "speech_url": "",
      "sound_url": "",
      "bgm_url": ""
    }
  ],
  "id": "940107923630096384",
  "credits": 60,
  "bgm": false,
  "payload": "",
  "cus_priority": 0,
  "off_peak": false,
  "audio": true,
  "progress": 100,
  "type": "img2video",
  "model": "viduq3-turbo",
  "resolution": "720p",
  "aspect_ratio": "",
  "template": "",
  "duration": 5
}
```

## 6. Download Video

```sh
curl -L -o dialogue_example.mp4 -H "Authorization: Bearer $YOUR_API_KEY" "https://******.mp4"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api/compute/aig/video-generation/vidu/fetch-video.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
